<ion-header>
  <profilebar (onCurrentWeekChanged)="onCurrentWeekChanged($event)"></profilebar>
</ion-header>
<ion-content padding ng-show="!LoadingView" icon="spiral">
  <div class="sub-page-heading">
    <button tappable ion-button icon-left navPop class="back-btn flex-buffer"><div class="icon-backarrow"></div></button>
    <div class="title">Track Your Progress</div>
    <div class="flex-buffer"></div>
  </div>
  <video #player width="100%" controls webkit-playsinline playsinline preload="none" poster="assets/images/poster_progress.jpg">
    <source src="https://player.vimeo.com/external/236065742.sd.mp4?s=18881f2d52850561aefa3f789b31b7881b7fbe06&profile_id=165#t=0.1">
  </video>
  <div class="nutrition-content skeleton">
    <p>Please upload your starting photos and all of your progress pictures throughout your transformation into the the track your progress section of the app so you are able to monitor your progress but also please upload them into the I AM ELITE - ACCOUNTABILITY group to help motivate and inspire others on the same journey as you. You should be very proud of your results and your success will motivate so many others to keep pushing through the hard times, maintain a positive mindset and to achieve incredible results for themselves. I want to see your success and so does everyone else in the group. I want you to be proud of what you have achieved!</p>
  </div>
  <ion-list class="progress-list">
    <input type="file" #file name="photo" (change)="onFileChange(file.files)" accept="image/*" style="display: none">
    <div class="progress-image" *ngFor="let item of items | async">
      <div class="popup-image" *ngIf="item.photo">
        <div class="inner">
          <div class="close">X</div>
          <img [src]="item.photo">
          <div class="next">></div>
          <div class="previous"><</div>
        </div>
      </div>
      <ion-item>
        <div class="uploaded-image" *ngIf="item.photo">
          <img [src]="item.photo" item-left>
          <button tappable ion-button item-left class="replace-image" (click)="showFileBrowser(item)"><div class="label">Replace</div></button>
        </div>
        <button tappable *ngIf="!item.photo" ion-button item-left (click)="showFileBrowser(item)"><div class="upload-image"><img src="assets/images/upload.png"></div><div class="label">Upload<br>Image</div></button>
        <h3 item-right>Week {{ item.week }}</h3>
      </ion-item>
    </div>
  </ion-list>
</ion-content>